package ub.scp2.boImpl;

import ub.scp2.bo.TestResultBo;
import ub.scp2.dao.TestResultDao;
import ub.scp2.entities.TestResult;

/**
 * TestResultBoImpl.java -this class implements the TestResultBo. This is the Business Object of the TestResult entity
 * @author serral
 *
 */
public class TestResultBoImpl implements TestResultBo, java.io.Serializable {
	private TestResultDao testResultDao;

	@Override
	public void deleteTest(TestResult selectedTestResult) {
		testResultDao.deleteTestResult(selectedTestResult);
	}

	@Override
	public void saveTest(TestResult newTestResult) {
		testResultDao.saveTestResult(newTestResult);

	}

	public TestResultDao getTestResultDao() {
		return testResultDao;
	}

	public void setTestResultDao(TestResultDao testResultDao) {
		this.testResultDao = testResultDao;
	}

}
